{ config, lib, pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    # Monitoring
    htop
    # Password management
    gnupg
    pinentry-gnome
    pass-wayland
    passff-host
    gitAndTools.pass-git-helper
    # Browsers
    (firefox-wayland.override { extraNativeMessagingHosts = [ passff-host ]; })
    chromium
    # LaTeX
    texlive.combined.scheme-full
    pandoc
    # Text editors
    neovim
    emacs
    ripgrep
    fd
    clang
    coreutils
    # Terminals
    tmux
    tmuxp
    fish
    # Development
    git
    direnv
    lorri
    nixfmt
    podman-compose
    # Rice
    adapta-gtk-theme
    paper-icon-theme
    # Audio
    mopidy
    ncmpcpp
    mpc_cli
    # Productivity
    fff
    zathura
    libreoffice
    gnome3.simple-scan
    # Propietary
    skypeforlinux
    # Mail stack
    neomutt
    isync
    notmuch
    msmtp
    imapnotify
    w3m
    urlscan
    # Media
    gimp
    # File management
    zip
    unzip
    unrar
  ];

  # Fonts declaration
  fonts = {
    fonts = with pkgs; [
      google-fonts
      emacs-all-the-icons-fonts
      terminus-nerdfont
    ];
  };

}
